#ifndef QAD_UTILS_H
#define QAD_UTILS_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADUtils
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	// Q_PLUGIN_METADATA(IID "org.qt-project.Qt.QDesignerCustomWidgetInterface")
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.utils")
#endif
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADUtils(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_UTILS_H
